OpenPermit Docs
ReferenceApi

Create authenticator approval request

POST
/api/v1/authenticators/{type}/approval-requests

Authorization

Path Parameters

type*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

mandateId*string
callbackUrl?string
metadata?

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/authenticators/passkey/approval-requests" \  -H "Content-Type: application/json" \  -d '{    "mandateId": "string"  }'
{  "approvalRequestId": "string",  "mandateId": "string",  "authenticatorType": "passkey",  "challenge": "string",  "expiresAt": "string",  "humanReadableSummary": "string",  "eip712TypedData": {    "domain": {      "name": "OpenPermit",      "version": "1",      "chainId": 0,      "verifyingContract": "string"    },    "types": {      "OpenPermitMandateApproval": [        {          "name": "string",          "type": "string"        }      ]    },    "primaryType": "OpenPermitMandateApproval",    "message": {      "mandateId": "string",      "policyHash": "string",      "payer": "string",      "delegate": "string",      "chain": "string",      "contractAddress": "string",      "revocationNonce": "string",      "expiresAt": 1,      "apiOrigin": "http://example.com"    }  },  "metadata": {}}
{  "type": "about:blank",  "title": "string",  "status": 0,  "detail": "string",  "instance": "string",  "requestId": "string",  "code": "string",  "errors": [    {      "detail": "string",      "pointer": "string"    }  ]}
{  "type": "about:blank",  "title": "string",  "status": 0,  "detail": "string",  "instance": "string",  "requestId": "string",  "code": "string"}
{  "type": "about:blank",  "title": "string",  "status": 0,  "detail": "string",  "instance": "string",  "requestId": "string",  "code": "string"}
{  "type": "about:blank",  "title": "string",  "status": 0,  "detail": "string",  "instance": "string",  "requestId": "string",  "code": "string"}
{  "type": "about:blank",  "title": "string",  "status": 0,  "detail": "string",  "instance": "string",  "requestId": "string",  "code": "string"}
{  "type": "about:blank",  "title": "string",  "status": 0,  "detail": "string",  "instance": "string",  "requestId": "string",  "code": "string"}